Bug 1334315 - FTBFS on secondary arches
Summary: FTBFS on secondary arches
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: knot-resolver
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Včelák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1371106
Blocks: ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2016-05-09 11:37 UTC by Dan Horák
Modified: 2017-08-08 14:26 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:26:23 UTC


Attachments (Terms of Use)

Description Dan Horák 2016-05-09 11:37:55 UTC
knot-resolved doesn't build on secondary arches (aarch64, ppc64/ppc64le, s390(x)) because it depends on luajit which hasn't been ported to them (yet). Can't plain Lua be used instead there?

from root.log
...
No matching package to install: 'pkgconfig(luajit)'
...

for full logs please see http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3367107 or http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2216038 or http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3538588

Version-Release number of selected component (if applicable):
knot-resolver-1.0.0-0.3.4f463d7.fc24

Comment 1 Jan Včelák 2016-05-09 11:53:13 UTC
Unfortunately LuaJIT is a must. Should I updated the ExcludeArch in the spec file?

Just for a reference, the following archs are supported in Debian packages. It pretty much reflects what you have reported: https://buildd.debian.org/status/package.php?p=knot-resolver

Comment 2 Dan Horák 2016-05-09 12:09:57 UTC
Yes, please set ExclusiveArch: %{arm} %{ix86} x86_64 (in general it should match the luajit package). I'll update laujit package, which seems not fully correct.

Comment 3 Jan Včelák 2016-05-09 13:43:46 UTC
The new LuaJIT compiles on ARM64, according to Debian:
https://buildd.debian.org/status/package.php?p=luajit&suite=experimental

But I'm not sure whether the FFI bindings will work. Do we have some testing machine I can get access to?

Comment 4 Peter Robinson 2016-11-20 13:42:59 UTC
F-26+ has LuaJIT so removing from tracker

Comment 5 Fedora End Of Life 2017-07-25 20:42:19 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 14:26:23 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.